php-phpseclib (2.0.48-3) unstable; urgency=medium

  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 10:46:36 +0100

php-phpseclib (2.0.48-2) unstable; urgency=medium

  * Group nophpunit11 for tests failing with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Sun, 05 Jan 2025 09:47:20 +0100

php-phpseclib (2.0.48-1) unstable; urgency=medium

  [ terrafrost ]
  * SSH2: fix possible infinite loop on packet timeout
  * SSH2: identification strings > 255 bytes didn’t get parsed correctly
  * SSH2: if string is passed to setPreferredAlgorithms treat as array
  * X509: CRL fixes
  * X509: make the attributes section of new CSRs be blank
  * SSH2: make it so phpseclib initiates key re-exchange after 1GB
  * BigInteger: improve detection of newly introduced GMP bug
  * SSH2: ignore kex-strict-s-v00@openssh.com in key re-exchanges
  * CHANGELOG: add 2.0.48 release

  [ Jakub Trmota ]
  * Agent: reset supported_private_key_algorithms for every key

  [ Tingsong Xu ]
  * SSH2: handle SSH2_MSG_EXT_INFO out of login.

  [ David Prévot ]
  * Drop phpcs calls

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 11:47:56 +0100

php-phpseclib (2.0.47-3) unstable; urgency=medium

  * Make provider classes static (PHPUnit 11 fix) (Closes: #1070588)

 -- David Prévot <taffit@debian.org>  Thu, 10 Oct 2024 16:25:18 +0100

php-phpseclib (2.0.47-2) unstable; urgency=medium

  * Use --require-file for phpabtl (Closes: #1073568)
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Wed, 19 Jun 2024 13:47:47 +0200

php-phpseclib (2.0.47-1) unstable; urgency=medium

  [ terrafrost ]
  * BigInteger: put guardrails on isPrime() and randomPrime() [CVE-2024-27354]
  * ASN1: limit OID length [CVE-2024-27355]
  * BigInteger: phpseclib 2.0 updates
  * CHANGELOG: add 1.0.23 release

  [ David Prévot ]
  * Mention CVE-2023-48795 in previous changelog entry

 -- David Prévot <taffit@debian.org>  Mon, 26 Feb 2024 22:21:42 +0100

php-phpseclib (2.0.46-1) unstable; urgency=medium

  [ terrafrost ]
  * Rijndael: fix for PHP 8.3+ compatability
  * X509: fix for weird characters in subjaltname
  * Crypt/Base: improve ARM detection code
  * SSH2: add support for RFC8308
  * SSH2: only capture login info once
  * SSH2: implement terrapin attack countermeasures [CVE-2023-48795]
  * CHANGELOG: add 1.0.22 release

 -- David Prévot <taffit@debian.org>  Fri, 29 Dec 2023 13:59:49 +0100

php-phpseclib (2.0.45-1) unstable; urgency=medium

  [ terrafrost ]
  * SFTP: make it so SFTP::RESUME also sets offset of local file
  * SFTP: RESUME_START didn't work as described
  * SFTP: fix SFTPv2 errors when logging errors
  * SFTP: fix issue with get() downloading to files / streams
  * Rijndael: fix E_DEPRECATED
  * CHANGELOG: add 2.0.45 release

  [ Kevin Reniers ]
  * Add EOF test to SSH2::isConnected

  [ David Prévot ]
  * Skip test failing with recent PHPUnit (Closes: #1039817)
  * Comply with phpcs expectations

 -- David Prévot <taffit@debian.org>  Sat, 16 Sep 2023 19:12:35 +0530

php-phpseclib (2.0.44-1) unstable; urgency=medium

  [ terrafrost ]
  * SFTP: fix NET_SFTP_ATTR_EXTENDED
  * X509: backport EV subjects
  * SSH2: backport some E_DEPRECATED fixes from 3.0
  * SSH2: fix more E_DEPRECATE_NOTICEs
  * CHANGELOG: add 2.0.44 release

 -- David Prévot <taffit@debian.org>  Tue, 20 Jun 2023 13:34:17 +0200

php-phpseclib (2.0.42-1) unstable; urgency=medium

  [ terrafrost ]
  * Blowfish: fix issues on 32-bit PHP installs
  * Tests: don't test encrypted OpenSSH private keys on 32-bit installs
  * BigInteger: fix for hex numbers with new lines in them
  * SSH2: backport getTimeout()
  * CHANGELOG: add 2.0.42 release

  [ David Prévot ]
  * Drop patch not needed anymore

 -- David Prévot <taffit@debian.org>  Mon, 06 Mar 2023 19:47:36 +0100

php-phpseclib (2.0.41-1) unstable; urgency=medium

  [ Alexander Vlasov ]
  * Fix undefined properties deprecated in PHP 8.2

  [ terrafrost ]
  * CHANGELOG: add 2.0.41 release

  [ David Prévot ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Sun, 25 Dec 2022 09:13:06 +0100

php-phpseclib (2.0.40-1) unstable; urgency=medium

  [ Côme Chilliet ]
  * Fix PHP 8.2 dynamic property warning

  [ terrafrost ]
  * Crypt/Base: add a function to check continuous buffer status
  * SSH2: if logging in with rsa-sha2-256/512 fails, try ssh-rsa
  * OpenSSL 3.0.1+ deprecated some algorithms

 -- David Prévot <taffit@debian.org>  Wed, 21 Dec 2022 07:43:49 +0100

php-phpseclib (2.0.39-1) unstable; urgency=medium

  [ Jeremy Albert ]
  * Avoid implicit conversion from float to int

  [ terrafrost ]
  * CHANGELOG: add 2.0.39 release

 -- David Prévot <taffit@debian.org>  Wed, 26 Oct 2022 19:05:02 +0200

php-phpseclib (2.0.38-4) unstable; urgency=medium

  * Skip test failing on s390x architecture

 -- David Prévot <taffit@debian.org>  Thu, 15 Sep 2022 01:58:00 +0200

php-phpseclib (2.0.38-3) unstable; urgency=medium

  * Skip previous test only on 32-bit architectures
  * Fix deprecated implicit float to int on 32-bit PHP 8.1

 -- David Prévot <taffit@debian.org>  Wed, 14 Sep 2022 14:02:33 +0200

php-phpseclib (2.0.38-2) unstable; urgency=medium

  * Skip test failing on various architectures (armel, armhf, i386, s390x)

 -- David Prévot <taffit@debian.org>  Mon, 12 Sep 2022 07:25:02 -0400

php-phpseclib (2.0.38-1) unstable; urgency=medium

  [ terrafrost ]
  * SFTP: try to delete dir even if it can't be opened
  * SSH2: fix possibly undefined variable error
  * SFTP: try without path canonicalization if initial realpath() fails
  * don't use dynamic properties, which are deprecated in PHP 8.2
  * Crypt/Base: fix PHP 8.2 deprecation error

  [ Yan Hu ]
  * Detect if stream metadata has wrapper_type set for SFTP put() method

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 09:07:25 -0400

php-phpseclib (2.0.37-1) unstable; urgency=medium

  [ terrafrost ]
  * Crypt/Base: fix CTR mode with continuous buffer with non-eval PHP
  * SSH2/Agent: backport fix from master branch
  * RSA: add support for loading PuTTY v3 keys
  * Crypt/Base: use sodium_increment in _increment_str
  * Crypt/Base: fix deprecation notice
  * CHANGELOG: add 2.0.37 release

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 11:50:56 +0200

php-phpseclib (2.0.36-1) unstable; urgency=medium

  [ terrafrost ]
  * SSH2: make login() return false if no valid auth methods are found
  * Crypt/Base: add OFB8 as a new mode
  * CHANGELOG: add 2.0.36 release

  [ David Anderson ]
  * Check phpinfo() available before using it

  [ PetrP ]
  * SFTP: fix chgrp() for version < 4

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign

 -- David Prévot <taffit@debian.org>  Sun, 30 Jan 2022 22:46:27 -0400

php-phpseclib (2.0.35-1) unstable; urgency=medium

  [ terrafrost ]
  * SSH2: add "smart multi factor" login mode (enabled by default)
  * SFTP: getSupportedVersions() call didn't work
  * SSH2: error out when no data is received from the server
  * SFTP: don't attempt to parse unsupported attributes
  * CHANGELOG: add 2.0.35 release

 -- David Prévot <taffit@debian.org>  Mon, 29 Nov 2021 10:28:24 -0400

php-phpseclib (2.0.34-1) unstable; urgency=medium

  [ terrafrost ]
  * RSA: ssh-keygen -yf private.key fails if \r is present
  * SSH2: add support for zlib and zlib@openssh.com compression
  * CHANGELOG: add 2.0.34 release

  [ Nick Lassonde ]
  * add option to allow arbitrary length packets, for servers like OpenText
    which sends extremely long directory listings

 -- David Prévot <taffit@debian.org>  Thu, 28 Oct 2021 07:25:06 -0400

php-phpseclib (2.0.33-1) unstable; urgency=medium

  * Upload to unstable now that Bullseye has been released

  [ terrafrost ]
  * SFTP: don't check SFTP packet size after SFTP initialization
  * ASN1: return false when not enough bytes are available
  * SFTP: return false if get_channel_packet returns false
  * CHANGELOG: add 2.0.33 release

  [ Nick Lassonde ]
  * SFTP: timeout during _init_sftp_connection should be a failure

  [ David Prévot ]
  * Update standards version to 4.6.0, no changes needed.
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 16:50:41 -0400

php-phpseclib (2.0.32-1) experimental; urgency=medium

  [ terrafrost ]
  * SFTP: reopen channel on channel closure
  * SSH2: timeout would occasionally infinitely loop
  * SSH2: fix issue with key re-exchange
  * SSH2: fix PHP7.4 errors about accessing bool as string
  * X509: extra characters before cert weren't being removed
  * RSA: OAEP decryption didn't check labels correctly

  [ nickyb ]
  * Support for continue auth methods.

  [ danieljankowski ]
  * ASN1: fix timezone issue when non-utc time is given

  [ David Prévot ]
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Sun, 20 Jun 2021 18:42:18 -0400

php-phpseclib (2.0.31-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ terrafrost ]
  * CHANGELOG: add 2.0.31 release [CVE-2021-30130]

  [ David Prévot ]
  * Drop Conflicts and Replaces: php-seclib (>= 2)
  * Rename branches for 2.x
  * Install /u/s/p/a/php-phpseclib
  * Simplify gbp import-orig workflow
  * Refresh patches header

 -- David Prévot <taffit@debian.org>  Sat, 10 Apr 2021 08:47:22 -0400

php-phpseclib (2.0.30-1) unstable; urgency=medium

  [ terrafrost ]
  * enable unit tests for PHP 8 / PHPUnit 9
  * CHANGELOG: add 2.0.30 entry

 -- David Prévot <taffit@debian.org>  Fri, 18 Dec 2020 23:36:42 -0400

php-phpseclib (2.0.29-2) unstable; urgency=medium

  * Adapt to recent version of PHPUnit (9)
  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1
  * Drop versioned dependency satisfied in stable

 -- David Prévot <taffit@debian.org>  Mon, 14 Dec 2020 11:50:06 -0400

php-phpseclib (2.0.29-1) unstable; urgency=medium

  [ terrafrost ]
  * add 2.0.29 release

  [ David Prévot ]
  * Set upstream metadata fields: Archive.
  * Rename main branch to debian/latest (DEP-14)

 -- David Prévot <taffit@debian.org>  Tue, 08 Sep 2020 11:51:10 -0400

php-phpseclib (2.0.28-1) unstable; urgency=medium

  [ terrafrost ]
  * 2.0.27 release
  * CHANGELOG: there already was a 2.0.27 release..

  [ David Prévot ]
  * Set Rules-Requires-Root: no.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Thu, 09 Jul 2020 22:35:32 -0400

php-phpseclib (2.0.27-1) unstable; urgency=medium

  [ terrafrost ]
  * CHANGELOG: add entries for 2.0.25 and 2.0.26 release notes

 -- David Prévot <taffit@debian.org>  Mon, 06 Apr 2020 10:19:11 -1000

php-phpseclib (2.0.26-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Sun, 29 Mar 2020 10:22:34 -1000

php-phpseclib (2.0.25-1) unstable; urgency=medium

  [ terrafrost ]
  * CHANGELOG: 2.0.24 release

  [ David Prévot ]
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Fri, 28 Feb 2020 09:50:37 -1000

php-phpseclib (2.0.23-2) unstable; urgency=medium

  * Revert "Update to current phpcs output"
  * Build-Depend on recent php-codesniffer
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Mon, 30 Sep 2019 19:06:51 -1000

php-phpseclib (2.0.23-1) unstable; urgency=medium

  [ terrafrost ]
  * SSH2: only do fclose($this->fsock) if doing so won't yield error
  * CHANGELOG: add 2.0.23 release

 -- David Prévot <taffit@debian.org>  Sat, 21 Sep 2019 17:11:46 -1000

php-phpseclib (2.0.22-1) unstable; urgency=medium

  [ terrafrost ]
  * CHANGELOG: add 2.0.22 release

 -- David Prévot <taffit@debian.org>  Mon, 16 Sep 2019 05:40:47 -1000

php-phpseclib (2.0.21-3) unstable; urgency=medium

  * Versioned php-codesniffer dependency to hint CI
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- David Prévot <taffit@debian.org>  Thu, 29 Aug 2019 10:38:29 -1000

php-phpseclib (2.0.21-2) unstable; urgency=medium

  * Set upstream metadata fields: Contact, Name.
  * Update to current phpcs output
  * Compatibility with recent PHPUnit (8)

 -- David Prévot <taffit@debian.org>  Mon, 12 Aug 2019 06:52:20 -1000

php-phpseclib (2.0.21-1) unstable; urgency=medium

  * Upload to unstable now that buster has been released

  [ terrafrost ]
  * update copyright years on license

  [ David Prévot ]
  * Update copyright (years)
  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Jul 2019 11:16:44 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog php-phpseclib`.
